中危 Helm 至 2.15.1 Chart 后置链接漏洞

CVE编号

CVE-2019-18658

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-11-13
漏洞描述
在2.15.2之前的Helm 2.x中,用于将图表加载为目录或打包图表的命令为恶意设计的图表提供了机会,使其包含敏感内容(例如/ etc / passwd)或执行拒绝服务。 (DoS)通过符号链接通过/ dev / urandom等特殊文件进行。没有已知的Tiller版本会受到影响。这是仅客户端的问题。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 helm helm * From
(including)
2.0.0
Up to
(excluding)
2.15.2
运行在以下环境
系统 opensuse_Leap_15.3 helm-mirror * Up to
(excluding)
0.3.1-150000.1.13.1
运行在以下环境
系统 opensuse_Leap_15.4 helm-mirror * Up to
(excluding)
0.3.1-150000.1.13.1
阿里云评分
6.7
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-59 在文件访问前对链接解析不恰当(链接跟随)
阿里云安全产品覆盖情况